MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
EventLoopHolder Struct Reference

A utility class which, when used as the first base class, ensures that the EventLoop gets initialized before the other base classes. More...

`#include <Instance.hxx>`

Inheritance diagram for EventLoopHolder:
[legend]
Collaboration diagram for EventLoopHolder:
[legend]

## Data Fields
EventLoop | event_loop

## Detailed Description

A utility class which, when used as the first base class, ensures that the EventLoop gets initialized before the other base classes.

Definition at line 48 of file Instance.hxx.

## Field Documentation

EventLoop EventLoopHolder::event_loop

Definition at line 49 of file Instance.hxx.

The documentation for this struct was generated from the following file:

- Instance.hxx